Subject: bug#54962: 28.1; insert-directory-program should be ls-program

From: Eli Zaretskii <[email-masked]>
Date: Fri, 15 Apr 2022 23:09:24 +0300

> From: Howard Melman <[email-masked]>
> Date: Fri, 15 Apr 2022 15:56:58 -0400
> Cc: [email-masked]
> 
> 
> 
> > On Apr 15, 2022, at 3:50 PM, Eli Zaretskii <[email-masked]> wrote:
> > 
> > No one said it has to be 'ls'.  It can be anything else, as long as it
> > produces the same output.
> > 
> >> There are several dozen such variables
> >> and they all follow a similar more discoverable naming
> >> pattern as this sample:
> > 
> > Those are much more specific.
> 
> Could you explain how these are more specific than something else
> "as long as it produces the same out"?  I don't follow the distinction
> you're drawing.

The distinction is that there's only one program that can be used in
the other examples of these variables, and the variable exists only to
support different installation directories for that program, and
sometimes popular renames like 'gfind' instead of 'find'.  That's not
the case with 'ls'.  Some systems call this 'dir', for example.
Besides, insert-directory-program is used not just by dired, it is
also used by a function names 'insert-directory'.